Subject: Re: git.el fails on non-git managed files

From: Matthieu Lemerre <[email-masked]>
Date: Tue, 23 Oct 2007 20:30:10 +0200

"Shawn O. Pearce" <[email-masked]> writes:

> [email-masked] wrote:
>> I found the following on the development version of git.el: saving
>> non-git-managed files in Emacs threw an error.
>> 
>> It is due to a simple error in the call to condition-case in a
>> recently added function, git-update-save-file.
>> 
>> I attached the patch for your convenience.
>
> I'm not sure what happened, but I didn't receive a patch with
> your email.  Would you mind resending it to the list?  You may
> also want to file a bug with your distribution to get the Emacs
> bindings included.

Sure; the SMTP server of my ISP behaved weirdly yesterday and I had to
use one of these webmail applications.  This time it should be OK.

I'll also file a bug to debian, that's a good idea.

Matthieu Lemerre